Skip to main content
GET
/
journal_entries
/
{journal_entry}
Retrieve a journal entry
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/journal_entries/{journal_entry} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "journal_entry",
  "data": {
    "type": "payroll_recording",
    "title": "Payroll Accrual Entry",
    "title_translations": {
      "en": "Payroll Accrual Entry",
      "fr": "Écriture de provision de la paie"
    },
    "title_translated": "Payroll Accrual Entry",
    "payroll": {
      "id": "<id>",
      "object": "payroll",
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    "pay_stub": null,
    "is_balanced": true,
    "total": 0,
    "is_missing_line_item_accounting_codes": true,
    "is_missing_default_account_payable": true,
    "is_missing_default_bank_account": false,
    "posted_on": "2026-01-30T00:00:00.000000Z",
    "invalid_expense_types": [
      {
        "type": "employer_statutory_withholding",
        "subtype": "ei"
      },
      {
        "type": "employer_statutory_withholding",
        "subtype": "cpp"
      },
      {
        "type": "employer_statutory_withholding",
        "subtype": "cpp_2"
      }
    ],
    "invalid_liability_types": [
      {
        "type": "statutory_withholding",
        "subtype": "cpp"
      },
      {
        "type": "statutory_withholding",
        "subtype": "cpp_2"
      },
      {
        "type": "statutory_withholding",
        "subtype": "ei"
      },
      {
        "type": "statutory_withholding",
        "subtype": "federal_income_tax"
      },
      {
        "type": "statutory_withholding",
        "subtype": "provincial_income_tax"
      },
      {
        "type": "employer_statutory_withholding",
        "subtype": "ei"
      },
      {
        "type": "employer_statutory_withholding",
        "subtype": "cpp"
      },
      {
        "type": "employer_statutory_withholding",
        "subtype": "cpp_2"
      }
    ],
    "integrations": {
      "quickbooks": {
        "reference": null
      },
      "xero": {
        "reference": null
      }
    },
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/journal_entries/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

journal_entry
string
required

Query Parameters

expand
enum<string>[]
Available options:
journal_entry_rows,
pay_stub,
payroll

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("journal_entry").

data
Default · object